org.eclipse.jgit.transport

## Class GitProtocolConstants

- java.lang.Object
- - org.eclipse.jgit.transport.GitProtocolConstants

    public class GitProtocolConstants
    extends Object

Wire constants for the native Git protocol.

Since:
  3.2

### Field Summary

Fields
`static String` `CAPABILITY_DELETE_REFS` The server supports deleting refs.
`static String` `CAPABILITY_OFS_DELTA` The server supports packs with OFS deltas.
`static String` `CAPABILITY_REPORT_STATUS` The client expects a status report after the server processes the pack.
`static String` `CAPABILITY_SIDE_BAND_64K` The client supports using the 64K side-band for progress messages.
`static String` `OPTION_ALLOW_TIP_SHA1_IN_WANT` The client supports fetching objects at the tip of any ref, even if not advertised.
`static String` `OPTION_INCLUDE_TAG` Include tags if we are also including the referenced objects.
`static String` `OPTION_MULTI_ACK` Mutli-ACK support for improved negotiation.
`static String` `OPTION_MULTI_ACK_DETAILED` Mutli-ACK detailed support for improved negotiation.
`static String` `OPTION_NO_DONE` The client supports receiving a pack before it has sent "done".
`static String` `OPTION_NO_PROGRESS` The client does not want progress messages and will ignore them.
`static String` `OPTION_OFS_DELTA` The client supports packs with OFS deltas.
`static String` `OPTION_SHALLOW` The client supports shallow fetches.
`static String` `OPTION_SIDE_BAND` The client supports using the side-band for progress messages.
`static String` `OPTION_SIDE_BAND_64K` The client supports using the 64K side-band for progress messages.
`static String` `OPTION_THIN_PACK` The client supports packs with deltas but not their bases.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OPTION_INCLUDE_TAG

    public static final String OPTION_INCLUDE_TAG

Include tags if we are also including the referenced objects.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_MULTI_ACK

    public static final String OPTION_MULTI_ACK

Mutli-ACK support for improved negotiation.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_MULTI_ACK_DETAILED

    public static final String OPTION_MULTI_ACK_DETAILED

Mutli-ACK detailed support for improved negotiation.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_THIN_PACK

    public static final String OPTION_THIN_PACK

The client supports packs with deltas but not their bases.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_SIDE_BAND

    public static final String OPTION_SIDE_BAND

The client supports using the side-band for progress messages.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_SIDE_BAND_64K

    public static final String OPTION_SIDE_BAND_64K

The client supports using the 64K side-band for progress messages.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_OFS_DELTA

    public static final String OPTION_OFS_DELTA

The client supports packs with OFS deltas.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_SHALLOW

    public static final String OPTION_SHALLOW

The client supports shallow fetches.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_NO_PROGRESS

    public static final String OPTION_NO_PROGRESS

The client does not want progress messages and will ignore them.

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_NO_DONE

    public static final String OPTION_NO_DONE

The client supports receiving a pack before it has sent "done".

Since:
  3.2
See Also:
  Constant Field Values

#### OPTION_ALLOW_TIP_SHA1_IN_WANT

    public static final String OPTION_ALLOW_TIP_SHA1_IN_WANT

The client supports fetching objects at the tip of any ref, even if not advertised.

Since:
  3.2
See Also:
  Constant Field Values

#### CAPABILITY_REPORT_STATUS

    public static final String CAPABILITY_REPORT_STATUS

The client expects a status report after the server processes the pack.

Since:
  3.2
See Also:
  Constant Field Values

#### CAPABILITY_DELETE_REFS

    public static final String CAPABILITY_DELETE_REFS

The server supports deleting refs.

Since:
  3.2
See Also:
  Constant Field Values

#### CAPABILITY_OFS_DELTA

    public static final String CAPABILITY_OFS_DELTA

The server supports packs with OFS deltas.

Since:
  3.2
See Also:
  Constant Field Values

#### CAPABILITY_SIDE_BAND_64K

    public static final String CAPABILITY_SIDE_BAND_64K

The client supports using the 64K side-band for progress messages.

Since:
  3.2
See Also:
  Constant Field Values